// An item in the data pool
export default class DataPoolItem {
    constructor(name, data = null, decodedData = null) {
        this.name = name;
        this.data = data;
        this.decodedData = decodedData;
    }
    getData() {
        return this.data;
    }
    setData(data) {
        this.data = data;
    }
    getDecodedData() {
        return this.decodedData;
    }
    setDecodedData(data) {
        this.decodedData = this.decodedData;
    }
    getName() {
        return this.name;
    }
    setName(name) {
        this.name = name;
    }
}
